DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
GET/chatbot/{chatbotId}/web/crawl/{requestId}/sitemap

Get all web pages found for a specific crawl request

Get all web pages found for a specific crawl request

tune
Parameters
chatbotIdrequiredpath
string (uuid)
The ID of the chatbot
requestIdrequiredpath
string (uuid)
The ID of the crawl request
double_arrow
Returns 200
pagesrequired
array
countrequired
number
report
Errors
StatusDescription
500Default Response
north_east
Request
curl -X GET 'https://chat-api-dev.paicloud.ai//chatbot/{chatbotId}/web/crawl/{requestId}/sitemap' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
south_west
Response
200 OK
application/json
{
  "pages": [
    {
      "id": "00000000-0000-0000-0000-000000000001",
      "url": "url",
      "status": "status",
      "crawledAt": "2026-01-01T00: 00:00Z",
      "createdAt": "2026-01-01T00: 00:00Z",
      "updatedAt": "2026-01-01T00: 00:00Z"
    }
  ],
  "count": 0
}